Bug 1182186 (CVE-2020-27221)

Summary: VUL-0: CVE-2020-27221: java-1_7_0-ibm,java-1_7_1-ibm,java-1_8_0-ibm: Stack-based buffer overflow when converting from UTF-8 characters to platform encoding (Update to IBM Security Update February 2021)
Product: [Novell Products] SUSE Security Incidents Reporter: Pedro Monreal Gonzalez <pmonrealgonzalez>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P2 - High CC: atoptsoglou, bugproxy, mcowley, meissner, pmonrealgonzalez, security-team
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: Other   
See Also: https://bugzilla.linux.ibm.com/show_bug.cgi?id=191557
Whiteboard: CVSSv3.1:SUSE:CVE-2020-27221:9.8:(AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Pedro Monreal Gonzalez 2021-02-12 12:39:00 UTC
Update for java-1_8_0-ibm, java-1_7_1-ibm and java-1_7_0-ibm.
Security fixes for CVE-2020-27221 and CVE-2020-14803.
https://www.ibm.com/support/pages/java-sdk-security-vulnerabilities
Comment 1 Alexandros Toptsoglou 2021-02-15 08:56:22 UTC
CVE-2020-27221 

In Eclipse OpenJ9 up to version 0.23, there is potential for a stack-based buffer overflow when the virtual machine or JNI natives are converting from UTF-8 characters to platform encoding.

Reference 

https://bugs.eclipse.org/bugs/show_bug.cgi?id=569763
Comment 9 Swamp Workflow Management 2021-02-18 17:15:44 UTC
SUSE-SU-2021:0512-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181239,1182186
CVE References: CVE-2020-14803,CVE-2020-27221
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE OpenStack Cloud Crowbar 8 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE OpenStack Cloud 9 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE OpenStack Cloud 8 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE OpenStack Cloud 7 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Server 12-SP5 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1
HPE Helion Openstack 8 (src):    java-1_7_1-ibm-1.7.1_sr4.80-38.62.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-02-19 14:21:55 UTC
SUSE-SU-2021:14634-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181239,1182186
CVE References: CVE-2020-14803,CVE-2020-27221
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    java-1_7_1-ibm-1.7.1_sr4.80-26.65.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-02-23 17:16:08 UTC
SUSE-SU-2021:14640-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181239,1182186
CVE References: CVE-2020-14803,CVE-2020-27221
JIRA References: 
Sources used:
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    java-1_7_0-ibm-1.7.0_sr10.80-65.60.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2021-02-26 20:25:10 UTC
SUSE-SU-2021:0652-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181239,1182186
CVE References: CVE-2020-14803,CVE-2020-27221
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE OpenStack Cloud Crowbar 8 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE OpenStack Cloud 9 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE OpenStack Cloud 8 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE OpenStack Cloud 7 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Server 12-SP5 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1
HPE Helion Openstack 8 (src):    java-1_8_0-ibm-1.8.0_sr6.25-30.81.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2021-03-01 20:22:25 UTC
SUSE-SU-2021:0670-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1181239,1182186
CVE References: CVE-2020-14803,CVE-2020-27221
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Manager Retail Branch Server 4.0 (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Manager Proxy 4.0 (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Linux Enterprise Server for SAP 15 (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Linux Enterprise Server 15-LTSS (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Linux Enterprise Module for Legacy Software 15-SP3 (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE Enterprise Storage 6 (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1
SUSE CaaS Platform 4.0 (src):    java-1_8_0-ibm-1.8.0_sr6.25-3.50.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Marcus Meissner 2021-08-16 13:11:16 UTC
released